2.1.2 opens Pages '09 and older?

Everything related to our flagship word processor.
Post Reply
JohnRobert
Posts: 2
Joined: 2015-10-08 18:45:05

2.1.2 opens Pages '09 and older?

Post by JohnRobert » 2015-10-08 19:08:08

Hi,
I was really looking forward to this. I have many old but useful Pages 3.0.3 (iWork '08) documents. I was hoping to convert some of them to Nisus Writer Pro. No dice! Instead I get the message

"The file "filename.pages" could not be opened. Only documents from Apple Pages '09 and older can be imported."

Do you mean "only documents from Apple Pages '09 and newer can be imported"??

All of my Pages documents are 3.0.3, the version before Pages '09. I haven't found any of them that NWP 2.1.2 can import, even the very simple ones.

Any help?
Thanks,
John Robert

User avatar
martin
Official Nisus Person
Posts: 4251
Joined: 2002-07-11 17:14:10
Location: San Diego, CA
Contact:

Re: 2.1.2 opens Pages '09 and older?

Post by martin » 2015-10-09 11:17:25

Hello John,

I'm very sorry to say that your results seem to be correct: documents from Pages 3.x (iWork 08) can't be imported. That's a big shame, and I'm sorry to dissipate your enthusiasm.

Our declarations on which Pages documents Nisus Writer Pro (NWP) can import were taken from the LibreOffice release notes which state:
can now import Apple Pages files (Pages '09 and older), via libetonyek
But I just tested LibreOffice 5.x and it too cannot read documents created by Pages 3.x / iWork '08. So really the import capability needs to be described as: can import documents from Apple Pages, but only Pages version 4.x / iWork '09. We'll need to update our materials to accurately reflect this.

My apologies for our mistake and the confusion!

JohnRobert
Posts: 2
Joined: 2015-10-08 18:45:05

Re: 2.1.2 opens Pages '09 and older?

Post by JohnRobert » 2015-10-09 11:43:48

OK, Martin. Thanks for the confirmation.

glidagida
Posts: 2
Joined: 2015-10-20 18:00:29

Re: 2.1.2 opens Pages '09 and older?

Post by glidagida » 2015-10-20 18:13:44

Hi
My experience was that Nisus 2.1.2 will not import pages '09 either. :|

I have Pages '09 v4.3 (1048) and I get the same error message. Tried a few Pages files with the same result.

I had big hopes for this filter as I have heaps of Pages documents to convert.

Cheers
David

Post Reply